# Uses of Class
com.google.protobuf.Struct

Packages that use Struct
Package
Description
com.google.protobuf

## Uses of Struct in com.google.protobuf

Methods in com.google.protobuf that return Struct
Modifier and Type
Method
Description
`Struct`
Struct.Builder.`build()`
`Struct`
Struct.Builder.`buildPartial()`
`static Struct`
Struct.`getDefaultInstance()`
`Struct`
Struct.Builder.`getDefaultInstanceForType()`
`Struct`
Struct.`getDefaultInstanceForType()`
`Struct`
Value.Builder.`getStructValue()`
`.google.protobuf.Struct struct_value = 5 [json_name = "structValue"];`
`Struct`
Value.`getStructValue()`
`.google.protobuf.Struct struct_value = 5 [json_name = "structValue"];`
`Struct`
ValueOrBuilder.`getStructValue()`
`.google.protobuf.Struct struct_value = 5 [json_name = "structValue"];`
`static Struct`
Struct.`parseDelimitedFrom(InputStream input)`
`static Struct`
Struct.`parseDelimitedFrom(InputStream input, ExtensionRegistryLite extensionRegistry)`
`static Struct`
Struct.`parseFrom(byte[] data)`
`static Struct`
Struct.`parseFrom(byte[] data, ExtensionRegistryLite extensionRegistry)`
`static Struct`
Struct.`parseFrom(ByteString data)`
`static Struct`
Struct.`parseFrom(ByteString data, ExtensionRegistryLite extensionRegistry)`
`static Struct`
Struct.`parseFrom(CodedInputStream input)`
`static Struct`
Struct.`parseFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)`
`static Struct`
Struct.`parseFrom(InputStream input)`
`static Struct`
Struct.`parseFrom(InputStream input, ExtensionRegistryLite extensionRegistry)`
`static Struct`
Struct.`parseFrom(ByteBuffer data)`
`static Struct`
Struct.`parseFrom(ByteBuffer data, ExtensionRegistryLite extensionRegistry)`
Methods in com.google.protobuf that return types with arguments of type Struct
Modifier and Type
Method
Description
`Parser<Struct>`
Struct.`getParserForType()`
`static Parser<Struct>`
Struct.`parser()`
Methods in com.google.protobuf with parameters of type Struct
Modifier and Type
Method
Description
`Struct.Builder`
Struct.Builder.`mergeFrom(Struct other)`
`Value.Builder`
Value.Builder.`mergeStructValue(Struct value)`
`.google.protobuf.Struct struct_value = 5 [json_name = "structValue"];`
`static Struct.Builder`
Struct.`newBuilder(Struct prototype)`
`Value.Builder`
Value.Builder.`setStructValue(Struct value)`
`.google.protobuf.Struct struct_value = 5 [json_name = "structValue"];`